Page MenuHomePhabricator

Fix statsd config handing in ores
Closed, ResolvedPublic

Description

Labs logs are full of errors like this:

[2019-03-18T06:25:33] statsd_send_metric()/sendto(): Resource temporarily unavailable [plugins/stats_pusher_statsd/plugin.c line 40]

this is so bad that is basically causes the nodes to suffer from storage stress. Also none of statsd metrics work now for labs. This needs to be fixed.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 18 2019, 12:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 497316 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/puppet@production] Deprecate statsd hiera config in favor of statsd_host and statsd_port

https://gerrit.wikimedia.org/r/497316

Change 499875 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/puppet@production] ores: use hiera for statsd host

https://gerrit.wikimedia.org/r/499875

Change 497316 abandoned by Ladsgroup:
Deprecate statsd hiera config in favor of statsd_host and statsd_port

Reason:
In favor of If257009cf6007a12afbe53ac05a64834caca2927

https://gerrit.wikimedia.org/r/497316

Change 499875 merged by Alexandros Kosiaris:
[operations/puppet@production] ores: use hiera for statsd host

https://gerrit.wikimedia.org/r/499875

Ladsgroup closed this task as Resolved.Apr 17 2019, 6:27 PM